<?php
/*
Plugin Name: googlemap-responsive
Plugin URI: http://tanweb.net/2018/07/23/22138/
Description: このプラグインは、Google マップを誰でも簡単にビジュアルエディタから挿入できるようにアシストします。また、挿入後のマップは自動的にレスポンシブ化されています。HTMLコードの埋め込みは、カエレバやその他のHTML全ての埋め込みに対応しています。
Author: Kitamura
Version: 1.0
Author URI: http://tanweb.net
License: GPL
*/

//ショートコード
function gmap_shortcode( $atts, $content = null ) {
  return '<div class="gmap-res">' . $content . '</div>';
}
add_shortcode( 'gmap', 'gmap_shortcode' );

add_filter( 'mce_buttons', 'add_shortcode_button' );
function add_shortcode_button( $buttons ) {
  $buttons[] = 'gmap';
  return $buttons;
}
function myplugin_load() {
  wp_register_style('myplugin_css', plugins_url('/googlemap-responsive.css', __FILE__));
  wp_enqueue_style('myplugin_css');
}
add_action('wp_enqueue_scripts', 'myplugin_load');
//HTMLを挿入
function gmap_responsive_button( $buttons ) {
  $buttons[] = 'gmap_responsive_button';
	return $buttons;
}
add_filter( 'mce_buttons', 'gmap_responsive_button' );

function gmap_responsive_button_plugin( $plugin_array ) {
  $plugin_array['custom_button_script'] =   plugins_url( '/googlemap-responsive.js', __FILE__ );
	return $plugin_array;
}
add_filter( 'mce_external_plugins', 'gmap_responsive_button_plugin' );

?>