(function() {
	tinymce.create('tinymce.plugins.MyButtons', {
		init : function(ed, url) {
			//ショートコード
          ed.addButton( 'gmap', {
            title: 'GoogleMap用ショートコード',
            image : url + '/googlemapIcon.png',
            cmd: 'gmap_cmd'
          });

          ed.addCommand( 'gmap_cmd', function() {
            var selected_text = ed.selection.getContent(),
                return_text = '[gmap]※' + selected_text + '[/gmap]';
            ed.execCommand( 'mceInsertContent', 0, return_text );
          });
            //HTML挿入
          ed.addButton( 'gmap_responsive_button', {
				title : 'HTMLコードを埋め込む',
				image : url + '/codeumekomi.png',
            cmd: 'gmap_responsive_cmd'
			});
          ed.addCommand( 'gmap_responsive_cmd', function() {
				var raw_html = window.prompt('HTMLコードを埋め込む.','');
				ed.execCommand('mceInsertContent', 0, raw_html);
			});
		},
		createControl : function(n, cm) {
			return null;
		},
	});
	/* Start the buttons */
	tinymce.PluginManager.add( 'custom_button_script', tinymce.plugins.MyButtons );
})();